osgVolume::PropertyAdjustmentCallback Class Reference

`#include <Property>`

Inheritance diagram for osgVolume::PropertyAdjustmentCallback:

## Public Member Functions

| PropertyAdjustmentCallback ()
| PropertyAdjustmentCallback (const PropertyAdjustmentCallback &, const osg::CopyOp &)
| META_Object (osgVolume, PropertyAdjustmentCallback)
virtual NodeCallback * | asNodeCallback ()
virtual const NodeCallback * | asNodeCallback () const
virtual DrawableEventCallback * | asDrawableEventCallback ()
virtual const DrawableEventCallback * | asDrawableEventCallback () const
virtual osgGA::EventHandler * | asEventHandler ()
virtual const osgGA::EventHandler * | asEventHandler () const
virtual bool | run (osg::Object *object, osg::Object *data)
void | setKeyEventCycleForward (int key)
int | getKeyEventCycleForward () const
void | setKeyEventCycleBackward (int key)
int | getKeyEventCycleBackward () const
void | setKeyEventActivatesTransparencyAdjustment (int key)
int | getKeyEventActivatesTransparencyAdjustment () const
void | setKeyEventActivatesExteriorTransparencyFactorAdjustment (int key)
int | getKeyEventActivatesExteriorTransparencyFactorAdjustment () const
void | setKeyEventActivatesSampleDensityAdjustment (int key)
int | getKeyEventActivatesSampleDensityAdjustment () const
void | setKeyEventActivatesAlphaFuncAdjustment (int key)
int | getKeyEventActivatesAlphaFuncAdjustment () const
virtual bool | handle (const osgGA::GUIEventAdapter &ea, osgGA::GUIActionAdapter &, osg::Object *object, osg::NodeVisitor *)
Public Member Functions inherited from osgGA::GUIEventHandler
| GUIEventHandler ()
| GUIEventHandler (const GUIEventHandler &eh, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgGA, GUIEventHandler)
virtual bool | handle (osgGA::Event *event, osg::Object *object, osg::NodeVisitor *nv)
virtual bool | handle (const GUIEventAdapter &, GUIActionAdapter &)
Public Member Functions inherited from osgGA::EventHandler
| EventHandler ()
| EventHandler (const EventHandler &eh, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgGA, EventHandler)
virtual void | operator() (osg::Node *node, osg::NodeVisitor *nv)
virtual void | event (osg::NodeVisitor *nv, osg::Drawable *drawable)
virtual void | getUsage (osg::ApplicationUsage &) const
Public Member Functions inherited from osg::NodeCallback
| NodeCallback ()
| NodeCallback (const NodeCallback &nc, const CopyOp &copyop)
| META_Object (osg, NodeCallback)
Public Member Functions inherited from osg::Callback
| Callback ()
| Callback (const Callback &cb, const CopyOp &copyop)
| META_Object (osg, Callback)
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual StateAttributeCallback * | asStateAttributeCallback ()
virtual const StateAttributeCallback * | asStateAttributeCallback () const
virtual UniformCallback * | asUniformCallback ()
virtual const UniformCallback * | asUniformCallback () const
virtual DrawableUpdateCallback * | asDrawableUpdateCallback ()
virtual const DrawableUpdateCallback * | asDrawableUpdateCallback () const
virtual DrawableCullCallback * | asDrawableCullCallback ()
virtual const DrawableCullCallback * | asDrawableCullCallback () const
bool | traverse (osg::Object *object, osg::Object *data)
void | setNestedCallback (osg::Callback *cb)
osg::Callback * | getNestedCallback ()
const osg::Callback * | getNestedCallback () const
void | addNestedCallback (osg::Callback *nc)
void | removeNestedCallback (osg::Callback *nc)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const
Public Member Functions inherited from osg::DrawableEventCallback
| DrawableEventCallback ()
| DrawableEventCallback (const DrawableEventCallback &org, const CopyOp &copyop)
| META_Object (osg, DrawableEventCallback)
Public Member Functions inherited from osg::StateSet::Callback
| Callback ()
| Callback (const Callback &org, const CopyOp &copyop)
| META_Object (osg, Callback)
virtual void | operator() (StateSet *, NodeVisitor *)

## Public Attributes

int | _cyleForwardKey
int | _cyleBackwardKey
int | _transparencyKey
int | _exteriorTransparencyFactorKey
int | _alphaFuncKey
int | _sampleDensityKey
bool | _updateTransparency
bool | _updateExteriorTransparencyFactor
bool | _updateAlphaCutOff
bool | _updateSampleDensity

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osgGA::GUIEventHandler
virtual | ~GUIEventHandler ()
Protected Member Functions inherited from osg::NodeCallback
virtual | ~NodeCallback ()
Protected Member Functions inherited from osg::Callback
virtual | ~Callback ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Callback
ref_ptr< Callback > | _nestedCallback
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## PropertyAdjustmentCallback() [1/2]

osgVolume::PropertyAdjustmentCallback::PropertyAdjustmentCallback | ( |  | ) |

Referenced by META_Object(), and PropertyAdjustmentCallback().

## PropertyAdjustmentCallback() [2/2]

osgVolume::PropertyAdjustmentCallback::PropertyAdjustmentCallback | ( | const PropertyAdjustmentCallback & | ,
|  | const osg::CopyOp & | )

References PropertyAdjustmentCallback().

## Member Function Documentation

## asDrawableEventCallback() [1/2]

virtual DrawableEventCallback * osgVolume::PropertyAdjustmentCallback::asDrawableEventCallback | ( |  | ) |

inline virtual

Reimplemented from osgGA::EventHandler.

References osg::DrawableEventCallback::asDrawableEventCallback(), and osg::DrawableEventCallback::DrawableEventCallback().

## asDrawableEventCallback() [2/2]

virtual const DrawableEventCallback * osgVolume::PropertyAdjustmentCallback::asDrawableEventCallback | ( |  | ) | const

inline virtual

Reimplemented from osgGA::EventHandler.

References osg::DrawableEventCallback::asDrawableEventCallback(), and osg::DrawableEventCallback::DrawableEventCallback().

## asEventHandler() [1/2]

virtual osgGA::EventHandler * osgVolume::PropertyAdjustmentCallback::asEventHandler | ( |  | ) |

inline virtual

Reimplemented from osgGA::EventHandler.

References osgGA::EventHandler::asEventHandler().

## asEventHandler() [2/2]

virtual const osgGA::EventHandler * osgVolume::PropertyAdjustmentCallback::asEventHandler | ( |  | ) | const

inline virtual

Reimplemented from osgGA::EventHandler.

References osgGA::EventHandler::asEventHandler().

## asNodeCallback() [1/2]

virtual NodeCallback * osgVolume::PropertyAdjustmentCallback::asNodeCallback | ( |  | ) |

inline virtual

Reimplemented from osgGA::EventHandler.

References osg::NodeCallback::asNodeCallback(), and osg::NodeCallback::NodeCallback().

## asNodeCallback() [2/2]

virtual const NodeCallback * osgVolume::PropertyAdjustmentCallback::asNodeCallback | ( |  | ) | const

inline virtual

Reimplemented from osgGA::EventHandler.

References osg::NodeCallback::asNodeCallback(), and osg::NodeCallback::NodeCallback().

## getKeyEventActivatesAlphaFuncAdjustment()

int osgVolume::PropertyAdjustmentCallback::getKeyEventActivatesAlphaFuncAdjustment | ( |  | ) | const

inline

References _alphaFuncKey.

## getKeyEventActivatesExteriorTransparencyFactorAdjustment()

int osgVolume::PropertyAdjustmentCallback::getKeyEventActivatesExteriorTransparencyFactorAdjustment | ( |  | ) | const

inline

References _exteriorTransparencyFactorKey.

## getKeyEventActivatesSampleDensityAdjustment()

int osgVolume::PropertyAdjustmentCallback::getKeyEventActivatesSampleDensityAdjustment | ( |  | ) | const

inline

References _sampleDensityKey.

## getKeyEventActivatesTransparencyAdjustment()

int osgVolume::PropertyAdjustmentCallback::getKeyEventActivatesTransparencyAdjustment | ( |  | ) | const

inline

References _transparencyKey.

## getKeyEventCycleBackward()

int osgVolume::PropertyAdjustmentCallback::getKeyEventCycleBackward | ( |  | ) | const

inline

References _cyleBackwardKey.

## getKeyEventCycleForward()

int osgVolume::PropertyAdjustmentCallback::getKeyEventCycleForward | ( |  | ) | const

inline

References _cyleForwardKey.

## handle()

virtual bool osgVolume::PropertyAdjustmentCallback::handle | ( | const osgGA::GUIEventAdapter & | ea,
|  | osgGA::GUIActionAdapter & | aa,
|  | osg::Object * | ,
|  | osg::NodeVisitor * | )

virtual

Handle events, return true if handled, false otherwise.

Reimplemented from osgGA::GUIEventHandler.

## META_Object()

osgVolume::PropertyAdjustmentCallback::META_Object | ( | osgVolume | ,
|  | PropertyAdjustmentCallback | )

References PropertyAdjustmentCallback().

## run()

virtual bool osgVolume::PropertyAdjustmentCallback::run | ( | osg::Object * | object,
|  | osg::Object * | data )

inline virtual

NodeCallback overrides the Callback::run() method to adapt it the old style NodeCallback::operator()(Node* node, NodeVisitor* nv) method.

Reimplemented from osgGA::EventHandler.

References osg::Callback::run().

## setKeyEventActivatesAlphaFuncAdjustment()

void osgVolume::PropertyAdjustmentCallback::setKeyEventActivatesAlphaFuncAdjustment | ( | int | key | ) |

inline

References _alphaFuncKey.

## setKeyEventActivatesExteriorTransparencyFactorAdjustment()

void osgVolume::PropertyAdjustmentCallback::setKeyEventActivatesExteriorTransparencyFactorAdjustment | ( | int | key | ) |

inline

References _exteriorTransparencyFactorKey.

## setKeyEventActivatesSampleDensityAdjustment()

void osgVolume::PropertyAdjustmentCallback::setKeyEventActivatesSampleDensityAdjustment | ( | int | key | ) |

inline

References _sampleDensityKey.

## setKeyEventActivatesTransparencyAdjustment()

void osgVolume::PropertyAdjustmentCallback::setKeyEventActivatesTransparencyAdjustment | ( | int | key | ) |

inline

References _transparencyKey.

## setKeyEventCycleBackward()

void osgVolume::PropertyAdjustmentCallback::setKeyEventCycleBackward | ( | int | key | ) |

inline

References _cyleBackwardKey.

## setKeyEventCycleForward()

void osgVolume::PropertyAdjustmentCallback::setKeyEventCycleForward | ( | int | key | ) |

inline

References _cyleForwardKey.

## Member Data Documentation

## _alphaFuncKey

int osgVolume::PropertyAdjustmentCallback::_alphaFuncKey

Referenced by getKeyEventActivatesAlphaFuncAdjustment(), and setKeyEventActivatesAlphaFuncAdjustment().

## _cyleBackwardKey

int osgVolume::PropertyAdjustmentCallback::_cyleBackwardKey

Referenced by getKeyEventCycleBackward(), and setKeyEventCycleBackward().

## _cyleForwardKey

int osgVolume::PropertyAdjustmentCallback::_cyleForwardKey

Referenced by getKeyEventCycleForward(), and setKeyEventCycleForward().

## _exteriorTransparencyFactorKey

int osgVolume::PropertyAdjustmentCallback::_exteriorTransparencyFactorKey

Referenced by getKeyEventActivatesExteriorTransparencyFactorAdjustment(), and setKeyEventActivatesExteriorTransparencyFactorAdjustment().

## _sampleDensityKey

int osgVolume::PropertyAdjustmentCallback::_sampleDensityKey

Referenced by getKeyEventActivatesSampleDensityAdjustment(), and setKeyEventActivatesSampleDensityAdjustment().

## _transparencyKey

int osgVolume::PropertyAdjustmentCallback::_transparencyKey

Referenced by getKeyEventActivatesTransparencyAdjustment(), and setKeyEventActivatesTransparencyAdjustment().

## _updateAlphaCutOff

bool osgVolume::PropertyAdjustmentCallback::_updateAlphaCutOff

## _updateExteriorTransparencyFactor

bool osgVolume::PropertyAdjustmentCallback::_updateExteriorTransparencyFactor

## _updateSampleDensity

bool osgVolume::PropertyAdjustmentCallback::_updateSampleDensity

## _updateTransparency

bool osgVolume::PropertyAdjustmentCallback::_updateTransparency

The documentation for this class was generated from the following file:

- Property